uniform lowp float _uniform_alpha;
uniform lowp float _uniform_opacity_tranform;
uniform lowp float _uniform_red_tranform;
uniform lowp float _uniform_blue_tranform;
uniform lowp float _uniform_green_tranform;
uniform sampler2D _sampler2d_texture1;
uniform sampler2D _sampler2d_texture2;
varying mediump vec2 _var_texture_coord;
void main() 
{
	highp vec4 texel = vec4(texture2D(_sampler2d_texture1, _var_texture_coord).rgb, texture2D(_sampler2d_texture2, _var_texture_coord).r);
	texel.rgb *= texel.a; // Premultiply with Alpha channel	
	texel.a = _uniform_alpha*texel.a + _uniform_opacity_tranform;
	texel.r += _uniform_red_tranform;
	texel.g += _uniform_green_tranform;
	texel.b += _uniform_blue_tranform;
	gl_FragColor = vec4(texel.r, texel.g, texel.b, texel.a);
}